## capirca 2.0.6

=== requirements.txt ===
# Dependencies
# Usage:
#   $ pip install -r requirements.txt

absl-py
ipaddress>=1.0.22
ply
PyYAML
six>=1.12.0

## capirca 2.0.3

=== debian/changelog ===
capirca (2.0.3-2) unstable; urgency=medium

  * [9dfb814] capirca-docs: mark as Multi-Arch: foreign
  * [9e71219] src: capirca: bump std-version to 4.6.0
  * [3b505b7] src: capirca: move package to section Python

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 16 Sep 2021 10:52:04 +0200

capirca (2.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #987004)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Sun, 18 Apr 2021 14:22:44 +0200

=== debian/control ===
Source: capirca
Section: python
Priority: optional
Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-absl
Standards-Version: 4.6.0
Homepage: https://github.com/google/capirca
Vcs-Browser: https://salsa.debian.org/debian/pkg-capirca
Vcs-Git: https://salsa.debian.org/debian/pkg-capirca.git
#Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-capirca
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-capirca-doc
Description: Multi-platform ACL generation system
 The capirca framework is a designed to utilize common definitions of networks,
 services and  high-level policy  files to facilitate the development and
 manipulation of network access control lists (ACLs) for  various platforms.
 .
 The capirca framework consists of capirca Python package and the accompanying
 aclgen tool.
 .
 This package installs the library for Python 3 and the aclgen CLI tool.

Package: capirca-docs
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: python3-capirca
Description: Multi-platform ACL generation system (documentation)
 The capirca framework is a designed to utilize common definitions of networks,
 services and  high-level policy  files to facilitate the development and
 manipulation of network access control lists (ACLs) for  various platforms.
 .
 The capirca framework consists of capirca Python package and the accompanying
 aclgen tool, which are present in the 'python3-capirca' package.
 .
 This is the documentation package.

## capirca 2.0.6

=== debian/changelog ===
capirca (2.0.6-1) unstable; urgency=medium

  * [44d9255] d/: add gbp.conf file
  * [cef3c72] New upstream version 2.0.6
  * [d71eec7] src:capirca: add upstream patches to fix python package content selection
    (Closes: #1021539)

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 08 Nov 2022 11:07:25 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=capirca

%:
	dh $@ --with python3 --buildsystem=pybuild

## capirca 2.0.9

=== requirements.txt ===
# Dependencies
# Usage:
#   $ pip install -r requirements.txt

absl-py
ply
PyYAML
six>=1.12.0

=== debian/changelog ===
capirca (2.0.9-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch-out usage of "six"

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Aug 2025 00:32:54 +0200

capirca (2.0.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid createing a useless runtime dependency on python3-mock
  * [86cc114] New upstream version 2.0.9
  * [436c6b1] remove patches applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 Aug 2024 13:07:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Arturo Borrero Gonzalez <arturo@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all, python3-absl
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools, python3-all, python3-absl
+Standards-Version: 4.7.2
 Homepage: https://github.com/google/capirca
-Vcs-Browser: https://salsa.debian.org/debian/pkg-capirca
-Vcs-Git: https://salsa.debian.org/debian/pkg-capirca.git
+Vcs-Browser: https://salsa.debian.org/debian/capirca
+Vcs-Git: https://salsa.debian.org/debian/capirca.git
 #Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-capirca
 Architecture: all

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%capirca-$1.tar.gz%" \
   https://github.com/google/capirca/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
